package dev.fyloz.trial.colorrecipesexplorer.core.model.dto;

import dev.fyloz.trial.colorrecipesexplorer.core.model.MaterialType;
import dev.fyloz.trial.colorrecipesexplorer.core.model.MixType;
import dev.fyloz.trial.colorrecipesexplorer.core.model.Recipe;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
public class MixFormDto {

    private Recipe recipe;

    private String oldMixTypeName;

    private String mixTypeName;

    private MaterialType materialType;

    private List<String> materials;

    private List<Float> quantities;

}
